Package org.bukkit.event.block

# Class BlockCookEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.block.BlockEvent
org.bukkit.event.block.BlockCookEvent

All Implemented Interfaces:
  `Cancellable`

Direct Known Subclasses:
  `FurnaceSmeltEvent`

public class BlockCookEvent extends BlockEvent implements Cancellable
Called when an ItemStack is successfully cooked in a block.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.block.BlockEvent

`block`

## Constructor Summary

Constructors
Constructor
Description
`BlockCookEvent(@NotNull Block block, @NotNull ItemStack source, @NotNull ItemStack result)`
Deprecated.
`BlockCookEvent(@NotNull Block block, @NotNull ItemStack source, @NotNull ItemStack result, CookingRecipe<?> recipe)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`CookingRecipe<?>`
`getRecipe()`
Gets the cooking recipe associated with this event.
`@NotNull ItemStack`
`getResult()`
Gets the resultant ItemStack for this event
`@NotNull ItemStack`
`getSource()`
Gets the smelted ItemStack for this event
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setResult(@NotNull ItemStack result)`
Sets the resultant ItemStack for this event

### Methods inherited from class org.bukkit.event.block.BlockEvent

`getBlock`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BlockCookEvent

@Deprecated public BlockCookEvent(@NotNull @NotNull Block block, @NotNull @NotNull ItemStack source, @NotNull @NotNull ItemStack result)
Deprecated.

### BlockCookEvent

public BlockCookEvent(@NotNull @NotNull Block block, @NotNull @NotNull ItemStack source, @NotNull @NotNull ItemStack result, @Nullable CookingRecipe<?> recipe)

## Method Details

### getSource

@NotNull public @NotNull ItemStack getSource()
Gets the smelted ItemStack for this event

Returns:
  smelting source ItemStack

### getResult

@NotNull public @NotNull ItemStack getResult()
Gets the resultant ItemStack for this event

Returns:
  smelting result ItemStack

### setResult

public void setResult(@NotNull @NotNull ItemStack result)
Sets the resultant ItemStack for this event

Parameters:
  `result` - new result ItemStack

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getRecipe

@Nullable public CookingRecipe<?> getRecipe()
Gets the cooking recipe associated with this event.

Returns:
  the recipe

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()